BeagleInstanceDetails(3)

NAME
BeagleInstanceDetails -

Information about a specific instance.

SYNOPSIS

#include <beagle.h>

  Public Attributes

int resourceNumber
char * resourceName
char * implName
char * implDescription
long flags

Detailed Description

Information about a specific instance.

Member Data Documentation

  long BeagleInstanceDetails::flags
Bit-flags that characterize the activate capabilities of the resource and implementation for this instance

  char* BeagleInstanceDetails::implDescription
Description of implementation with details such as how auto-scaling is performed

  char* BeagleInstanceDetails::implName
Name of implementation on which this instance is running as a NULL-terminated character string

  char* BeagleInstanceDetails::resourceName
Name of resource on which this instance is running as a NULL-terminated character string

  int BeagleInstanceDetails::resourceNumber
Resource upon which instance is running

Author

Generated automatically by Doxygen for BEAGLE from the source code.